#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n,m;
    cin>>n>>m;
    int p=(n-1)*2+m;
    int x;
    n=n-1;
    m=m-2;
    if(n%2!=0&&m%2!=0){
        x=(m*n)/2+m/2+1;
    }
    else{
        x=(m*n)/2+m/2;
    }
    cout<<p+x<<endl;
    return 0;
}